# My Dot Files

This repo contains a set of tools and configuration files used for development.
Especially for Android Rom development

gdb init came from : https://github.com/cyrus-and/gdb-dashboard
## Install tool
First get git submodule:
```
git submodule update --init
```
add scripts path into your PATH

Then install_config.sh will produce a list of link to copy/past in a terminal. This allow you to select the config files you want

For example, for vim, this will produce the following content
```
 ln -s PATH_TO_THIS_REPO/.vim ~/.vim
 ln -s PATH_TO_THIS_REPO/.vimrc ~/.vimrc
```

## Vim

Vim plugins are managed by vundle. So at first lunch you have to run in vim
```
 :PluginInstall
```

## Dependencies
* conky
* cscope
* ctags
* gmrun
* gnome-screensaver
* gnome-terminal
* gvim
* numlockx
* openbox
* openbox
* openssh
* polkit-gnome
* tint2
* tmux
* xbacklight
* xfce4-notifyd
* zsh

## More tools
* android-apktool
* android-bash-completion
* android-udev
* archlinux-themes-slim
* aspell-fr
* autopep8
* cppcheck
* cups
* dialog
* elinks
* eog
* firefox
* flake8
* flashplugin
* gcc-multilib
* gedit
* gnome-calculator
* gnome-terminal
* hunspell-en
* hunspell-fr
* hyphen-en
* hyphen-fr
* libreoffice-fresh
* libreoffice-fresh-fr
* mutt
* notification-daemon
* obconf
* odt2txt
* python2-virtualenv
* seahorse
* shellcheck
* strace
* sudo
* udevil
* unrar
* unzip
* xchat

## dev tools
* cppcheck
* cppcheck git precommit https://github.com/danmar/cppcheck/blob/master/tools/git-pre-commit-cppcheck
* pycscope (to generate cscope file for python) : https://pypi.python.org/pypi/pycscope/
